<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRegionMatrixReq StructType
 * @subpackage Structs
 */
class AddRegionMatrixReq extends APIRequest
{
    /**
     * The regionMatrix
     * @var XRegionMatrix
     */
    public $regionMatrix;
    /**
     * Constructor method for AddRegionMatrixReq
     * @uses AddRegionMatrixReq::setRegionMatrix()
     * @param XRegionMatrix $regionMatrix
     */
    public function __construct(XRegionMatrix $regionMatrix = null)
    {
        $this
            ->setRegionMatrix($regionMatrix);
    }
    /**
     * Get regionMatrix value
     * @return XRegionMatrix|null
     */
    public function getRegionMatrix()
    {
        return $this->regionMatrix;
    }
    /**
     * Set regionMatrix value
     * @param XRegionMatrix $regionMatrix
     * @return AddRegionMatrixReq
     */
    public function setRegionMatrix(XRegionMatrix $regionMatrix = null)
    {
        $this->regionMatrix = $regionMatrix;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRegionMatrixReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
